Bug 1277380 - Win2012..r2 guest stay on "shuting down" screen when do system_powerdown
Win2012..r2 guest stay on "shuting down" screen when do system_powerdown
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 03:33 EST by Yang Meng
Modified: 2016-07-17 09:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-17 09:04:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yang Meng 2015-11-03 03:33:37 EST
Description of problem:

i met this when i run autotest script "system_powerdown", this case will shutdown guest and wait for 360 seconds.
using hmp command "system_powerdown" and can't shutdown the guest

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.3.0-31.el7.x86_64
kernel-3.10.0-327.el7.x86_64

How reproducible:

i run 10 times and i met one time.

Steps to Reproduce:
1.1.boot up the guest with commandline:

/usr/libexec/qemu-kvm \
    -S  \
    -name 'virt-tests-vm1'  \
    -sandbox off  \
    -machine pc  \
    -nodefaults  \
    -vga qxl  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20151103-155855-5Qec1sex,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=qmp_id_catch_monitor,path=/tmp/monitor-catch_monitor-20151103-155855-5Qec1sex,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control \
    -device pvpanic,ioport=0x505,id=idrUyyM1  \
    -chardev socket,id=serial_id_serial0,path=/tmp/serial-serial0-20151103-155855-5Qec1sex,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20151103-155855-5Qec1sex,path=/tmp/seabios-20151103-155855-5Qec1sex,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20151103-155855-5Qec1sex,iobase=0x402 \
    -device ich9-usb-ehci1,id=usb1,addr=1d.7,multifunction=on,bus=pci.0 \
    -device ich9-usb-uhci1,id=usb1.0,multifunction=on,masterbus=usb1.0,addr=1d.0,firstport=0,bus=pci.0 \
    -device ich9-usb-uhci2,id=usb1.1,multifunction=on,masterbus=usb1.0,addr=1d.2,firstport=2,bus=pci.0 \
    -device ich9-usb-uhci3,id=usb1.2,multifunction=on,masterbus=usb1.0,addr=1d.4,firstport=4,bus=pci.0 \
    -drive id=drive_image1,if=none,cache=none,snapshot=off,aio=native,format=qcow2,file=/home/autotest/client/tests/virt/shared/data/images/win2012-64r2-virtio.qcow2 \
    -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=0,bus=pci.0,addr=03,disable-legacy=off,disable-modern=on \
    -device virtio-net-pci,mac=9a:bf:c0:c1:c2:c3,id=idIor1id,vectors=4,netdev=id9LR8kS,bus=pci.0,addr=04,disable-legacy=off,disable-modern=on  \
    -netdev tap,id=id9LR8kS,vhost=on,vhostfd=24,fd=23  \
    -m 32768  \
    -smp 16,maxcpus=16,cores=8,threads=1,sockets=2  \
    -cpu 'Opteron_G4',+kvm_pv_unhalt,hv_spinlocks=0x1fff,hv_vapic,hv_time \
    -drive id=drive_cd1,if=none,snapshot=off,aio=native,media=cdrom,file=/home/autotest/client/tests/virt/shared/data/isos/windows/winutils.iso \
    -device ide-cd,id=cd1,drive=drive_cd1,bootindex=1,bus=ide.0,unit=0 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -spice port=3000,password=123456,addr=0,image-compression=auto_glz,zlib-glz-wan-compression=auto,streaming-video=all,agent-mouse=on,playback-compression=on,ipv4  \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off,strict=off \
    -enable-kvm
2.in hmp monitor, send "system_powerdown"


Actual results:
guest stays on "shuting down" screen when i check it using remote-viewer

Expected results:

guest could shutdown successfully.

Additional info:
hostinfo:

processor	: 31
vendor_id	: AuthenticAMD
cpu family	: 21
model		: 1
model name	: AMD Opteron(TM) Processor 6272                 
stepping	: 2
microcode	: 0x6000626
cpu MHz		: 2100.033
cache size	: 2048 KB
physical id	: 1
siblings	: 16
core id		: 7
cpu cores	: 8
apicid		: 79
initial apicid	: 47
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc rep_good nopl nonstop_tsc extd_apicid amd_dcm aperfmperf pni pclmulqdq monitor ssse3 cx16 sse4_1 sse4_2 popcnt aes xsave avx lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs xop skinit wdt lwp fma4 nodeid_msr topoext perfctr_core perfctr_nb arat cpb hw_pstate npt lbrv svm_lock nrip_save tsc_scale vmcb_clean flushbyasid decodeassists pausefilter pfthreshold
Comment 2 Vadim Rozenfeld 2015-11-05 02:36:55 EST
Can you increase the wait time to be more than 10 minutes and check if the system fails into 9F BSOD. If it fails, we will need to reproduce the problem with Driver Verifier enabled.

Thanks,
Vadim.
Comment 3 Yang Meng 2015-12-03 00:11:41 EST
hi, i runed 300 times system_powerdown when i change the wait time to 600 seconds, and i didn't hit the issue ,will tell you when i hit it ,thanks.
Comment 4 Yang Meng 2015-12-03 00:12:14 EST
(In reply to Vadim Rozenfeld from comment #2)
> Can you increase the wait time to be more than 10 minutes and check if the
> system fails into 9F BSOD. If it fails, we will need to reproduce the
> problem with Driver Verifier enabled.
> 
> Thanks,
> Vadim.

hi, i runed 300 times system_powerdown when i change the wait time to 600 seconds, and i didn't hit the issue ,will tell you when i hit it ,thanks.
Comment 5 Yang Meng 2016-01-11 20:53:04 EST
try using:
qemu-kvm-rhev-2.3.0-31.el7_2.5.x86_64
kernel-3.10.0-327.3.1.el7.x86_64
virtio-win-1.8.0-4.iso

didn't reproduce it ,have to try more times see if i could reproduce .
Comment 6 Vadim Rozenfeld 2016-07-04 01:38:59 EDT
Hi Yang Meng,

Do you think we can close this bug based on your comment
https://bugzilla.redhat.com/show_bug.cgi?id=1277380#c5 ?

Thanks,
Vadim.
Comment 7 Vadim Rozenfeld 2016-07-17 09:04:13 EDT
Closing as WORKSFORME based on https://bugzilla.redhat.com/show_bug.cgi?id=1277380#c5

Note You need to log in before you can comment on or make changes to this bug.